MeasurementCommandsClientImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.agent.client.MeasurementCommandsClientImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.agent.client
Class MeasurementCommandsClientImpl

    java.lang.Object
      org.hyperic.hq.agent.client.AbstractCommandsClient
          org.hyperic.hq.measurement.agent.client.MeasurementCommandsClientImpl

All Implemented Interfaces:
  MeasurementCommandsClient

    public class MeasurementCommandsClientImpl

extends AbstractCommandsClient
implements MeasurementCommandsClient

The Measurement Commands client that uses the new transport.

Field Summary

Fields inherited from class org.hyperic.hq.agent.client.AbstractCommandsClient
`_log`

Constructor Summary
`MeasurementCommandsClientImpl(Agent agent, AgentProxyFactory factory)`

Method Summary
`void` | `addTrackPlugin(java.lang.String id, java.lang.String pluginType, java.lang.String resourceName, ConfigResponse response)`
`void` | `closeConnection()`
`void` | `deleteProperties(DeleteProperties_args args)`
`GetMeasurements_result` | `getMeasurements(GetMeasurements_args args)` Get real time measurements from the Agent.
`void` | `removeTrackPlugin(java.lang.String id, java.lang.String pluginType)`
`void` | `scheduleMeasurements(ScheduleMeasurements_args args)` Schedule a group of measurements on the agent.
`void` | `setProperties(SetProperties_args args)`
`void` | `unscheduleMeasurements(UnscheduleMeasurements_args args)` Unschedule a group of previously scheduled measurements.

Methods inherited from class org.hyperic.hq.agent.client.AbstractCommandsClient
`getAgent, getAsynchronousProxy, getSynchronousProxy, safeDestroyService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasurementCommandsClientImpl

    public MeasurementCommandsClientImpl(Agent agent,
                                         AgentProxyFactory factory)

Method Detail

### addTrackPlugin

    public void addTrackPlugin(java.lang.String id,
                               java.lang.String pluginType,
                               java.lang.String resourceName,
                               ConfigResponse response)
                        throws AgentRemoteException,
                               AgentConnectionException

  Specified by:
    `addTrackPlugin` in interface `MeasurementCommandsClient`
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
  See Also:
    `MeasurementCommandsClient.addTrackPlugin(java.lang.String, java.lang.String, java.lang.String, org.hyperic.util.config.ConfigResponse)`

### deleteProperties

    public void deleteProperties(DeleteProperties_args args)
                          throws AgentRemoteException,
                                 AgentConnectionException

  Specified by:
    `deleteProperties` in interface `MeasurementCommandsClient`
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
  See Also:
    `MeasurementCommandsClient.deleteProperties(org.hyperic.hq.measurement.agent.commands.DeleteProperties_args)`

### getMeasurements

    public GetMeasurements_result getMeasurements(GetMeasurements_args args)
                                           throws AgentRemoteException,
                                                  AgentConnectionException

  Description copied from interface: `MeasurementCommandsClient`
  Get real time measurements from the Agent.

  Specified by:
    `getMeasurements` in interface `MeasurementCommandsClient`
  Parameters:
    `args` - The collection of arguments to send to the remote Agent.
  Throws:
    `AgentRemoteException` - indicating a protocol error
    `AgentConnectionException` - indicating an error in communication with the agent.
  See Also:
    `MeasurementCommandsClient.getMeasurements(org.hyperic.hq.measurement.agent.commands.GetMeasurements_args)`

### removeTrackPlugin

    public void removeTrackPlugin(java.lang.String id,
                                  java.lang.String pluginType)
                           throws AgentRemoteException,
                                  AgentConnectionException

  Specified by:
    `removeTrackPlugin` in interface `MeasurementCommandsClient`
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
  See Also:
    `MeasurementCommandsClient.removeTrackPlugin(java.lang.String, java.lang.String)`

### scheduleMeasurements

    public void scheduleMeasurements(ScheduleMeasurements_args args)
                              throws AgentRemoteException,
                                     AgentConnectionException

  Description copied from interface: `MeasurementCommandsClient`
  Schedule a group of measurements on the agent. This routine cannot fail for the inability to schedule any individual measurements. The only errors which can occur are protocol or connection errors.

  Specified by:
    `scheduleMeasurements` in interface `MeasurementCommandsClient`
  Parameters:
    `args` - The collection of arguments to send to the remote Agent.
  Throws:
    `AgentRemoteException` - indicating a protocol error
    `AgentConnectionException` - indicating an error in communication with the agent.
  See Also:
    `MeasurementCommandsClient.scheduleMeasurements(org.hyperic.hq.measurement.agent.commands.ScheduleMeasurements_args)`

### setProperties

    public void setProperties(SetProperties_args args)
                       throws AgentRemoteException,
                              AgentConnectionException

  Specified by:
    `setProperties` in interface `MeasurementCommandsClient`
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
  See Also:
    `MeasurementCommandsClient.setProperties(org.hyperic.hq.measurement.agent.commands.SetProperties_args)`

### unscheduleMeasurements

    public void unscheduleMeasurements(UnscheduleMeasurements_args args)
                                throws AgentRemoteException,
                                       AgentConnectionException

  Description copied from interface: `MeasurementCommandsClient`
  Unschedule a group of previously scheduled measurements. An attempt will be made to unschedule all measurements passed, however, if one client ID is unable to be unscheduled, an exception will be thrown at the end of the operation. Therefore, it is safe to assume that all clientIDs passed will be unscheduled, regardless of the exception.

  Specified by:
    `unscheduleMeasurements` in interface `MeasurementCommandsClient`
  Parameters:
    `args` - The collection of arguments to send to the remote Agent.
  Throws:
    `AgentRemoteException` - indicating an error unscheduling or protocol problem.
    `AgentConnectionException` - indicating an error in communication with the agent.
  See Also:
    `MeasurementCommandsClient.unscheduleMeasurements(org.hyperic.hq.measurement.agent.commands.UnscheduleMeasurements_args)`

### closeConnection

    public void closeConnection()
                         throws AgentRemoteException

  Specified by:
    `closeConnection` in interface `MeasurementCommandsClient`
  Throws:
    `AgentRemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.